# Game

Dzura is an abstract strategy game played between two collections of pieces on a 4-ring hexagon board.
Players take turns moving pieces around the board to capture the opponent's king (Source).
When a piece moves onto the tile of an opposing piece, the opposing piece is captured and added to the player's pool.
Captured pieces may be played back onto the board on the player's side.


## Setup

### Board

Dzura is played on a hexagon grid that is 9 tiles across and 5 tiles on each side, with opposite corners facing the players, such that the hexagon tiles form columns between them.

 - Each player has 9 Militia placed between the 2nd ranks of the edges, leaving one or two tiles between opposing Militia.
 - The back line has the Source at the center, flanked on either side by first Towers, then Castles, Knights, and Lances, such that the Lances are in the adjacent corners.
 - The Behemoth is placed in front of the Source and the Dragon in front of the Behemoth.


### Turns

At the start of the game, each player is assigned either the Dawn or Dusk seat—either randomly or alternating, if more than one game is played.

Players take turns making actions on the board until the game is over, with the Dawn player making the first move.


## Actions

Each turn, the acting player must make one of three actions on the board: Move, Swap, or Drop.


### Move

Each piece has a specific set of moves it may make, with each move falling into one of two categories: Direct and Stride.

Direct moves are limited to a single tile in the given direction but are not blocked by other pieces.
Stride moves are not limited in distance but may not jump over other pieces.

Pieces may move onto any tile that is empty, contains an opposing piece, or contains a swappable piece.


#### Capturing

If a piece is moved onto the tile of an opposing piece, the opposing piece is captured and added to the capturing player's pool.


#### Promotion

A piece that lands on the opponent's back line is promoted, gaining a new move set.


### Swap

Two pieces that can each jump to each others tiles may swap places as a single action.


### Drop

A player may place a piece from their pool back onto the board as their own.


#### Militia Stacking

Militia may not be placed onto a column in which the player already has a Militia, with the exception of promoted Militia.


#### Off-sides

A piece may not be placed behind the first opposing piece in a column.


## Check

If an opposing piece can make a move that captures your Source, then you are in check.

While in check, a player may only make actions that remove check.


### Checkmate

If a player is in check and can make no valid action, then the game is over and the checking player wins.
